=begin
	---------------------------------------
	| Createt by: NewOne; October-13-2009 |
	| Version 0.1						  |
	---------------------------------------

Adds sub-menu "Simpe Calculator" under the Plugins menu.
This simple calculator sends its value to Sketchup VCB.
OBS: Unfortunately, that value is useless because it can't be used to any tool.
	 Maybe someone will know how to change the ruby script, so the VCB value to be usefull.

-----> Feel free to use this script in any way you want. <-----

Original code for html file doesn't belong to me. I just adapted it.
=end

if( not file_loaded?(__FILE__) )
    plugins_menu = UI.menu("Plugins")
	UV_menu = plugins_menu.add_item("Simple Calculator") {run_calc}
end
file_loaded(__FILE__)


class SimpleCalc

def initialize
@root = Sketchup.find_support_file 'Plugins'
@calculator_dlg = UI::WebDialog.new('Calculator', false,"",160, 220, 1420, 350, true)
@calculator_dlg.set_file File.join @root,'calculator.html'
@calculator_dlg.min_width = @calculator_dlg.max_width = 160
@calculator_dlg.min_height = @calculator_dlg.max_height = 230
end

def showDialog
@calculator_dlg.show{}
@calculator_dlg.bring_to_front
end

def callbacks
	@calculator_dlg.add_action_callback("sendResult") do |webdialog, result|
	
		#check if result is numeric or not
		check = (result.to_s.match(/\A[+-]?\d+?(\.\d+)?\Z/) == nil ? false : true)
			if check == true
				Sketchup.vcb_value = result.to_f.mm #if result is numeric, is added in VCB as lenght (mm)
			else
				Sketchup.vcb_value = '' #if result is not numeric, VCB gets nothing
			end
	end
end

end #class

def run_calc
	calc = SimpleCalc.new
	calc.callbacks
	calc.showDialog
end